# © 2020 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopFederationComActivity(models.Model):
    _name = "scop.federation.com.activity"
    _description = "Activité Fédération de la Com"
    _order = "name"

    name = fields.Char("Domaine d'activité", required=True)
    partner_ids = fields.Many2many(
        comodel_name="res.partner",
        relation="res_partner_federation_com_activity_rel",
        column1="com_activity_id",
        column2="partner_id",
        string="Cooperatives",
        domain=[("is_cooperative", "=", True)],
    )


class ScopFederationIndusActivity(models.Model):
    _name = "scop.federation.indus.activity"
    _description = "Activité Fédération de l'Industrie"
    _order = "name"

    name = fields.Char(
        "Domaine d'activité",
        required=True,
    )
    partner_ids = fields.Many2many(
        comodel_name="res.partner",
        relation="res_partner_federation_indus_activity_rel",
        column1="indus_activity_id",
        column2="partner_id",
        string="Cooperatives",
        domain=[("is_cooperative", "=", True)],
    )
